Loading...
Searching...
No Matches
Gudhi::coxeter_triangulation::TriangulationForManifoldTracing Struct Reference

The concept TriangulationForManifoldTracing describes the requirements for a type to implement a triangulation class used for example in Manifold_tracing. More...

`#include <concept/Coxeter_triangulation/TriangulationForManifoldTracing.h>`

## Public Member Functions

template<class Point_d>
Simplex_handle | locate_point (const Point_d &point) const
| Returns the permutahedral representation of the simplex in the triangulation that contains a given query point 'p'.
Eigen::VectorXd | cartesian_coordinates (const Vertex_handle &v) const
| Returns the Cartesian coordinates of the given vertex 'v'.
Eigen::VectorXd | barycenter (const Simplex_handle &s) const
| Returns the Cartesian coordinates of the barycenter of a given simplex 's'.

## Public Attributes

typedef | Simplex_handle
| Type of the simplices in the triangulation. Needs to be a model of the concept SimplexInCoxeterTriangulation.
typedef | Vertex_handle
| Type of the vertices in the triangulation. Needs to be a random-access range of integer values.

## Detailed Description

The concept TriangulationForManifoldTracing describes the requirements for a type to implement a triangulation class used for example in Manifold_tracing.

## Member Function Documentation

## barycenter()

Eigen::VectorXd Gudhi::coxeter_triangulation::TriangulationForManifoldTracing::barycenter | ( | const Simplex_handle & | s | ) | const

Returns the Cartesian coordinates of the barycenter of a given simplex 's'.

Parameters

  [in] | s | The input simplex given by permutahedral representation.

## cartesian_coordinates()

Eigen::VectorXd Gudhi::coxeter_triangulation::TriangulationForManifoldTracing::cartesian_coordinates | ( | const Vertex_handle & | v | ) | const

Returns the Cartesian coordinates of the given vertex 'v'.

Parameters

  [in] | v | The input vertex.

## locate_point()

template<class Point_d>

Simplex_handle Gudhi::coxeter_triangulation::TriangulationForManifoldTracing::locate_point | ( | const Point_d & | point | ) | const

Returns the permutahedral representation of the simplex in the triangulation that contains a given query point 'p'.

Template Parameters

  Point_d | A class that represents a point in d-dimensional Euclidean space. The coordinates should be random-accessible. Needs to provide the method size().

Parameters

  [in] | point | The query point.

The documentation for this struct was generated from the following file:

- concept/Coxeter_triangulation/TriangulationForManifoldTracing.h